<form method="GET" class="row align-middle">
  <input class="small-12 medium-9 columns" type="text" id="q" name="q" placeholder="Search">
  <input class="small-12 medium-2 columns btn btn--primary" type="submit" value="Search">
</form>